#define  c3    7634
#define  d3    6803
#define  e3    6061
#define  f3    5714
#define  g3    5102
#define  a3    4545
#define  b3    4049
#define  c4    3816    
#define  d4    3401   
#define  e4    3030  
#define  f4    2865   
#define  g4    2551    
#define  a4    2272   
#define  a4s   2146
#define  b4    2028  
#define  c5    1912    
#define  d5    1706
#define  d5s   1608
#define  e5    1517    
#define  f5    1433
#define  g5    1276
#define  a5    1136
#define  a5s   1073
#define  b5    1012
#define  c6    955
#define  R     0      
#include <EEPROM.h>
int speakerOut = 3; 
int melody1[] = {a4, R,  a4, R,  a4, R,  f4, R, c5, R,  a4, R,  f4, R, c5, R, a4, R,  e5, R,  e5, R,  e5, R,  f5, R, c5, R,  g5, R,  f5, R,  c5, R, a4, R};
int beats1[]  = {50, 20, 50, 20, 50, 20, 40, 5, 20, 5,  60, 10, 40, 5, 20, 5, 60, 80, 50, 20, 50, 20, 50, 20, 40, 5, 20, 5,  60, 10, 40, 5,  20, 5, 60, 40};
int melody2[] = {f4, f4, f4, a4s, f5, d5s, d5, c5, a5s, f5, d5s, d5, c5, a5s, f5, d5s, d5, d5s, c5};
int beats2[]  = {21, 21, 21, 128, 128, 21, 21, 21, 128, 64, 21, 21, 21, 128, 64, 21, 21, 21, 128}; 
long tempo = 10000; 
int pause = 1000;
int rest_count = 50;
int toneM = 0;
int beat = 0;
long duration  = 0;
boolean buttonmelody = 0;
boolean buzzer = 0;
int cv = 1;
int MAX_COUNT1 = sizeof(melody1) / 2;
int MAX_COUNT2 = sizeof(melody2) / 2;
const int buttonPin = 4;
const int buzzerInput = 5;
void setup() { 
  pinMode(speakerOut, OUTPUT);
  pinMode(buttonPin, INPUT_PULLUP); 
  pinMode(buzzerInput, INPUT_PULLUP); 
} 

void playTone() {
  long elapsed_time = 0;
  if (toneM > 0) {
    while (elapsed_time < duration) {
      digitalWrite(speakerOut,HIGH);
      delayMicroseconds(toneM / 2);
      digitalWrite(speakerOut, LOW);
      delayMicroseconds(toneM / 2);
      elapsed_time += (toneM);
    }
  }
  else {
    for (int j = 0; j < rest_count; j++) {
      delayMicroseconds(duration);
    }
  }
}

void loop() {
  buttonmelody = digitalRead(buttonPin);
  if (!buttonmelody) 
  {if (cv == 0) 
  {EEPROM.write(189, 1);}
   if (cv == 1) 
  {EEPROM.write(189, 0);}}
  cv = EEPROM.read(189);
  buzzer = digitalRead(buzzerInput);
  if (!buzzer && cv == 1) {
  for (int i=0; i<MAX_COUNT1; i++) {
    toneM = melody1[i];
    beat = beats1[i];
    duration = beat * tempo;
    playTone();
    delayMicroseconds(pause);}
  }
  if (!buzzer && cv == 0)  {
  for (int i=0; i<MAX_COUNT2; i++) {
    toneM = melody2[i];
    beat = beats2[i];
    duration = beat * tempo;
    playTone();
    delayMicroseconds(pause);}
   }
  delay(100);
  
  }
